# Gimp.context_set_diagonal_neighbors

    @accepts(bool)
    @returns(bool)
    def context_set_diagonal_neighbors(diagonal_neighbors):
        # Python wrapper for gimp_context_set_diagonal_neighbors()

Set the diagonal neighbors setting.

Modifies the diagonal neighbors setting. If the affected region of an operation is based on a seed point, like when doing a seed fill, then, when this setting is TRUE, all eight neighbors of each pixel are considered when calculating the affected region; in contrast, when this setting is FALSE, only the four orthogonal neighbors of each pixel are considered.

This setting affects the following procedures: Gimp.Image.select_contiguous_color, Gimp.Drawable.edit_bucket_fill.

Since 2.10

diagonal_neighbors

  The diagonal neighbors setting.

Returns